=== tests/Makefile ===
test:
	cd pcbflags && make all && make test
	cd conf && make all && make test
	cd strflags && make all && make test
	cd pcb-printf && make all && make test
	cd uniq_name && make all && make test
	cd propedit && make all && make test
