=== doc-rnd/ddrc/requirements.txt ===
The Dynamic DRC should be able to solve at least these tasks:
	- check start grounding
	- require element placement on same layer 
		- specify element proximity to each other on same layer
		- specify element proximity to the edge
		- specify element proximity to network or other copper feature
		on the same layer
	- perform copper vs. copper checks
		- minimal gap between an object or network and anything else
		- minimal gap between high voltage and low voltage networks
	- perform copper geometry checks
		- detect minimal width (high current)
		- detect poly hairpin
		- number and length of stubs (hight freq)
		- "via cage": a given network needs to be sorrounded by a set of gnd vias
	- network related copper checks
		- matched length lines (e.g. fast dram bus)
		- balanced transmission line (distance between the tracks)
		- match and/or limit number of vias
		- limit layer usage
		- require layer stackup properties, e.g. microstrip, stripline
			- e.g. require ground poly on the next layer
			- e.g. number of gaps in the ground poly the line jumps
