=== src_3rd/genlist/Makefile ===
CFLAGS = -I. -I..
#CFLAGS = -Wall -g -I. -I..

OBJS = genlistalloc.o genadlist.o

all: genlist.a

genlist.a: $(OBJS)
	ar r genlist.a $(OBJS)

example_ad: example_ad.o $(OBJS)

example_d: example_d.c gendlist.h

clean:
	rm $(OBJS) ; true
