=== src_3rd/genregex/Makefile ===
#CFLAGS = -Wall -ansi -pedantic -g
CFLAGS = -g
LDFLAGS =

OBJS = tester.o regex.o  regex_se.o regex_sei.o regex_be.o regex_bei.o \
       regex_st.o regex_sti.o regex_bt.o regex_bti.o

tester: $(OBJS)

tester.o: tester.c regex_se.h regex_be.h regex_st.h regex_bt.h regex_templ.h regex.h tester_main.c

regex.o: regex.c regex.h

regex_se.o: regex_se.c regex_se.h   regex_templ.c regex_templ.h regex.h

regex_sei.o: regex_sei.c regex_sei.h   regex_templ.c regex_templ.h regex.h

regex_be.o: regex_be.c regex_be.h   regex_templ.c regex_templ.h regex.h

regex_bei.o: regex_bei.c regex_bei.h   regex_templ.c regex_templ.h regex.h

regex_st.o: regex_st.c regex_st.h   regex_templ.c regex_templ.h regex.h

regex_sti.o: regex_sti.c regex_sti.h   regex_templ.c regex_templ.h regex.h

regex_bt.o: regex_bt.c regex_bt.h   regex_templ.c regex_templ.h regex.h

regex_bti.o: regex_bti.c regex_bti.h   regex_templ.c regex_templ.h regex.h

test:
	cd ../regression; make all

clean:
	rm $(OBJS) tester 2>/dev/null ; true
