=== debian/changelog ===
pcb-rnd (1.1.4-2) stable; urgency=high

  * security patch from upstream to eliminate execution of code from a 
    maliciously formed design file

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Sep 2017 18:53:45 -0600

pcb-rnd (1.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #843839)

 -- Dima Kogan <dkogan@debian.org>  Sun, 18 Dec 2016 21:11:55 -0800
