=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
Standards-Version: 3.9.8
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

Package: pcb-rnd
Architecture: any
Replaces: pcb
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-gnetlist
Description: printed circuit board (pcb) design program
 pcb-rnd is an interactive printed circuit board editor for the X11 window 
 system. pcb-rnd includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process.
