=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

# --symbols is to build with -g
#
# I link everything into the main program (--buildin-...) including the
# user-interface: gtk. At some point I may add lesstif as an option. Then
# shipping those as separate plugins would make sense.
#
# Currently turning on the toporouter produces compilation errors, so I turn it
# off. Turning on bison fails to ./configure, so I turn THAT off as well. bboard
# triggers a bug in the build system: cairo.h is not found; I turn that off.
override_dh_auto_configure:
	./configure				\
           --symbols				\
           --all=buildin			\
           --prefix=/usr			\
           --buildin-hid_batch			\
           --buildin-fp_fs			\
           --buildin-import_netlist		\
           --buildin-import_sch			\
           --buildin-io_pcb			\
           --buildin-io_lihata			\
           --buildin-io_kicad			\
           --buildin-gpmi			\
           --buildin-boardflip			\
           --buildin-polystitch			\
           --buildin-import_dsn			\
           --buildin-export_dxf			\
           --buildin-export_openscad		\
           --buildin-export_dsn			\
           --buildin-export_ipcd356		\
           --disable-toporouter			\
           --disable-bison			\
           --disable-export_bboard		\
           --buildin-hid_gtk			\
           --disable-hid_lesstif		\
						\
           --LDFLAGS='$(LDFLAGS)'		\
           --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

# Needed to retain src_plugins/export_dxf/README.orig
override_dh_clean:
	dh_clean -XREADME.orig

override_dh_auto_clean:
        # 'make clean' and 'make distclean' currently fail after an incomplete
        # clean, so I do this myself
	find . \( -name *.o -o -name *.so -o -name *_conf_fields.h \) -delete
	rm -f Makefile.conf
	rm -f config.h
	rm -f scconfig/Rev.stamp
	rm -f scconfig/config.cache
	rm -f scconfig/config.log
	rm -f scconfig/configure
	rm -f scconfig/core
	rm -f scconfig/cquote
	rm -f scconfig/revtest
	rm -f src/Makefile
	rm -f src/buildin.c
	rm -f src/compat_inc.h
	rm -f util/gsch2pcb-rnd/Makefile
	rm -f util/gsch2pcb-rnd/fp_init.c
	rm -f util/gsch2pcb-rnd/fp_init.h
	rm -f doc-rnd/conf/tree/appearance_loglevels.html
	rm -f src/conf_core_fields.h
	rm -f src/conf_internal.c
	rm -f src/generated_lists.h
	rm -f src/pcb-rnd
	rm -f src_3rd/sphash/sphash
	rm -f src_plugins/dbus/dbus-introspect.h
	rm -f src_plugins/hid_gtk/menu_lht.c
	rm -f src_plugins/hid_lesstif/menu_lht.c
	rm -f src_plugins/query/fields_sphash.c
	rm -f src_plugins/query/fields_sphash.h
	rm -f util/gsch2pcb-rnd/gsch2pcb-rnd
	rm -f src_3rd/gts/Makefile

# I want packages to go here regardless of how many packages I'm building
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
