=== src_plugins/dbus/Makefile ===
all:
	cd ../../src && $(MAKE) mod_dbus

clean:
	rm *.o *.so 2>/dev/null ; true
