=== doc/developer/bridges/Makefile ===
# NOTE: aagraph is at svn://repo.hu/projects/aagraph/trunk

bridges.svg: bridges.txt
	aagraph -Tsvg bridges.txt > bridges.svg

bridges.png: bridges.dot
	dot -Tpng bridges.dot > bridges.png
