=== doc/user/09_appendix/src/Makefile ===
CLEANFILES=../action_reference.html ../dialogtable.html

all:  ../action_reference.html ../dialogtable.html

../action_reference.html : ./dump_actions_to_html.sh ../../../../src/pcb-rnd
	./dump_actions_to_html.sh > ../action_reference.html

../dialogtable.html: pcb-rnd-dialogs ./process_dialogtable.sh ../../../../src/pcb-rnd
	./process_dialogtable.sh > ../dialogtable.html

clean:  
	rm $(CLEANFILES)
