=== debian/changelog ===
pcb-rnd (1.2.5-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Aug 2017 09:23:47 -0600

pcb-rnd (1.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Jun 2017 08:54:54 -0600

pcb-rnd (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Apr 2017 11:39:19 -0600

pcb-rnd (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * revert commit that moved repo published location and changed uploaders
  * Removed 'Replaces: pcb', updated package Description to mention gEDA
  * Turned off plugins that upstream says don't work well yet:
    - gpmi
    - boardflip
    - export_dxf
    - export_openscad
  * Shipping new documentation upstream just wrote
  * I no longer ship manpages for tools I don't ship

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Feb 2017 10:10:33 -0700
