=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
Standards-Version: 4.0.0
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: geda-gnetlist
Description: Printed circuit board layout tool
 pcb-rnd is a tool designed to layout printed circuit boards. This tool was
 originally based on gEDA pcb, so it supports all the basic features you would
 expect, plus much improved functionality such as:
 .
   - support for additional input/output formats, such as kicad
   - a parametric footprint generation system
   - support for asymmetric pins
   - a mini-language for querying and selecting objects
   - layout optimizers such as teardrops and a trace puller
