## pcb-rnd 1.2.6

=== debian/changelog ===
pcb-rnd (1.2.6-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Oct 2017 18:01:07 -0600

pcb-rnd (1.2.5-2) unstable; urgency=high

  * security patch from upstream to eliminate execution of code from a 
    maliciously formed design file

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Sep 2017 18:23:29 -0600
