=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 9), imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libstroke0-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: git://anonscm.debian.org/pkg-electronics/pcb-rnd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/pcb-rnd.git
