=== util/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 install_all:
 	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"
 	$(SCCBOX) $(HOW) "fp2anim" "$(BINDIR)/fp2anim"
+	$(SCCBOX) $(HOW) "fp2subc" "$(BINDIR)/fp2subc"
 	$(SCCBOX) $(HOW) "pcb-strip" "$(BINDIR)/pcb-strip"
 	$(SCCBOX) $(HOW) "pcb-prj2lht" "$(BINDIR)/pcb-prj2lht"
 	$(SCCBOX) $(HOW) "gnet-pcbrndfwd.scm" "$(LIBDIR)/gnet-pcbrndfwd.scm"
