=== debian/changelog ===
pcb-rnd (1.2.7-1) unstable; urgency=medium

  * new upstream version
  * patch from upstream to fix handling of spaces in passed-in *FLAGS
  * patch from upstream adding in missing ref file missed in release
  * patch from upstream fixing privacy breach caused by remote image link
  * updated description text provided by upstream author
  * restructure package configuration to build as many plugins as we
    can, leading to more build deps

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Dec 2017 21:44:48 -0700
