=== debian/rules ===
--- 
+++ 
@@ -21,26 +21,6 @@
            --symbols				\
            --all=buildin			\
            --prefix=/usr			\
-           --buildin-export_dsn			\
-           --buildin-export_ipcd356		\
-           --buildin-fp_fs			\
-           --buildin-hid_batch			\
-           --buildin-hid_gtk2_gdk		\
-           --buildin-hid_gtk2_gl		\
-           --buildin-import_dsn			\
-           --buildin-import_netlist		\
-           --buildin-import_sch			\
-           --buildin-io_pcb			\
-           --buildin-io_lihata			\
-           --buildin-io_kicad			\
-           --buildin-polystitch			\
-						\
-           --disable-gpmi			\
-           --disable-export_dxf			\
-           --disable-export_openscad		\
-           --disable-bison			\
-           --disable-export_bboard		\
-           --disable-hid_lesstif		\
 						\
            --LDFLAGS='$(LDFLAGS)'		\
            --CFLAGS='$(CFLAGS) $(CPPFLAGS)'
